决策池不允许使用该提供商

Moses Skoda工程师预计阅读 1 分钟

出现此问题时,API 返回 422 Unprocessable Content,其 type 为 https://lingo.dev/docs/api/errors/decision-pool-provider-not-allowed。有关所有错误共有的结构,请参阅错误与状态码。

无法为提供商“<providerId>”创建外部决策池。

字段#

除标准成员 type、status、title 和 detail 外,响应体还包含以下字段。detail 文本由这些字段生成,客户端也可以据此显示自定义文本。

字段类型
providerIdstring

示例#

json
{
  "detail": "An external decision pool cannot be created for provider \"<providerId>\".",
  "providerId": "<providerId>",
  "type": "https://lingo.dev/docs/api/errors/decision-pool-provider-not-allowed",
  "status": 422,
  "title": "Provider not allowed for decision pool"
}

返回此错误的端点#

  • POST /v2/organizations/{orgId}/decision-pools